const valid = {
  mobile: {
    pattern: /^1(3\d|4[5-9]|5[0-35-9]|6[567]|7[0-8]|8\d|9[0-35-9])\d{8}$/,
    message: "请输入正确的手机号码",
  },
  password: {
    pattern:
      /^((?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])(?=.*[!;:@#$%?^&*_-]))([a-zA-Z0-9!;:@#$%?^&*_-]){6,16}$/,
    message: "密码必须包含大小写字母、数字、特殊字符",
  },
  username: /^[a-zA-Z]{4,12}$/, //长度4~12，英文大小写字母
  email: /^(\w+(_|-|.)*)+@(\w+(-)?)+(.\w{2,})+$/, //用户名 @ 域名（域名后缀至少2个字符）
  valid_number: /[^\d]/g,
  // valid_password: /^(?![a-zA-Z]+$)(?![A-Z0-9]+$)(?![A-Z\\W_]+$)(?![a-z0-9]+$)(?![a-z\\W_]+$)(?![0-9\\W_]+$)[A-Za-z\d`~!@#$%^&*()_+<>?:"{},.\/\\;'[\]]{6,20}$/, // 8位 大小写 数字 和下划线
  valid_no_space: /\s+/g, //不可输入空格
  valid_no_cn: /[\u4E00-\u9FA5]/g, // 不可输入中文
  valid_number_en: /^[a-zA-Z0-9]+$/, // 只能输入数字和英文
  carNo: {
    // /^[京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z]{1}[A-Z]{1}[A-Z0-9]{4}[A-Z0-9挂学警港澳]{1}$/
    // /^[\x{4e00}-\x{9fa5}]{1}[A-Z]{1}[A-Z0-9]{5}$/u
    pattern:
      /^([京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z]{1}[a-zA-Z](([京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼ABCDEFGHJK]((?![IO])[a-zA-Z0-9](?![IO]))[0-9]{4})|([0-9]{5}[ABCDEFGHJK]))|[京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z0-9]{1}[A-Z0-9]{1}[A-Z0-9应]{4,5}[A-Z0-9挂学警港澳领使急]{1})$/,
    message: "请输入正确的车牌号",
  },
  valid_decimal: {
    pattern: /[^0-9.]/g,
    message: "请输入正确的数字",
  },
  valid_id_card: {
    pattern:
      /^[1-9]\d{5}(18|19|20)\d{2}((0[1-9])|(1[0-2]))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$/,
    message: "请输入正确的身份证号码",
  },
  /**
   * 长度至少为8个字符。

      包含至少一个小写字母。

      包含至少一个大写字母。

      包含至少一个数字。

      可以包含特殊字符，但不能是唯一的特殊字符。
   */
  valid_passwordTemp: {
    pattern:
      /^(?=.*[a-z])(?=.*[A-Z])(?=.*\\d)(?=.*[$@$!%*?&])[A-Za-z\\d$@$!%*?&]{8,}$/,
    message: "密码由字母、数字组成,且至少8位",
  },
  valid_password: {
    pattern: /^(?=.*[a-z])(?=.*\d)[a-zA-Z\d]{8,}$/,
    message: "密码由字母、数字组成,且至少8位",
  },
  valid_password1: {
    pattern: "^(?=.*[a-z])(?=.*\d)[a-zA-Z\d]{8,}$",
    message: "密码必须由字母、数字组成, 且至少8位",
  },
};
export default valid;
